$(function(){ // document ready
  $('body').scrollspy();
  setupList();
});

function setupList(){
  $('#navigation ul li:has(ul)').addClass('expand').find('ul').hide();
  // Add '<span>[ + ]</span>' after anchor inside 'li' tags those have 'expand' class
  $('#navigation ul li.expand>a').before('<span>[+]</span>');
  
  // Change [-] with [+] and  'collapse' class with 'expand' and sliding content upward
  $('#navigation ul').on('click', 'li.collapse span ', function (e) {
    $(this).text('[+]').parent().addClass('expand').removeClass('collapse').find('>ul').hide();
    e.stopImmediatePropagation();
  });
  
  // Change [+] with [-] and 'expand' class with 'collapse' class and sliding content downward
  $('#navigation ul').on('click', 'li.expand span', function (e) {
	$(this).text('[-]').parent().addClass('collapse').removeClass('expand').find('>ul').show();
	$(this).parent().parent().closest("li").find('>span').text('[-]').parent().addClass('collapse').removeClass('expand').find('>ul').show();
    e.stopImmediatePropagation();
  });
}